Bug 456357 - rpm: perl.prov fails to detect $VERSION correctly on multiple assignments
rpm: perl.prov fails to detect $VERSION correctly on multiple assignments
Status: NEW
Product: Fedora
Classification: Fedora
Component: perl-generators (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: requirements/rpm
  Show dependency treegraph
 
Reported: 2008-07-23 00:09 EDT by Chris Weyl
Modified: 2016-04-20 08:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the highest $VERSION from file is used (886 bytes, patch)
2011-03-24 09:26 EDT, Marcela Mašláňová
no flags Details | Diff

  None (edit)
Description Chris Weyl 2008-07-23 00:09:55 EDT
Description of problem:
When $VERSION is set twice inside the same package, the latest definition prevails.

Version-Release number of selected component (if applicable):
rpm-4.4.2.3-2.fc9.x86_64

How reproducible:
Package DateTime-Format-DBI :)  (see bug 455788)

Lines 10 and 11 of lib/DateTime/Format/DBI.pm are:
$VERSION = '0.031';
$VERSION = $VERSION + 0.0;

Note that perl.prov finds the version as "0.0".

  
Actual results:
====> provides for perl-DateTime-Format-DBI-0.031-1.fc9.noarch.rpm
perl(DateTime::Format::DBI) = 0.0
perl-DateTime-Format-DBI = 0.031-1.fc9


Expected results:
====> provides for perl-DateTime-Format-DBI-0.031-1.fc9.noarch.rpm
perl(DateTime::Format::DBI) = 0.031
perl-DateTime-Format-DBI = 0.031-1.fc9
Comment 1 Bug Zapper 2009-06-09 22:11:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-16 03:09:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Marcela Mašláňová 2011-03-24 09:26:17 EDT
Created attachment 487328 [details]
the highest $VERSION from file is used

The value of $VERSION will be evaluated and only the highest defined version will be used as provided. This could fix possible typos by upstream and also bug with adding +0.0 value, which was interpreted as provided version 0.0.
Comment 4 Fedora Admin XMLRPC Client 2012-04-13 19:08:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2012-04-13 19:11:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Panu Matilainen 2014-06-25 11:52:44 EDT
Mmh, somewhere down the line this has gotten a patch that's fallen through the cracks, sorry about that :-/

Reassigning to perl-generators where this'll hopefully get more attention.

Note You need to log in before you can comment on or make changes to this bug.